﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
 --> 
<xsl:template match="/">

<html>
<head>
<title>AJAX XSL</title>

<style type="text/css">

body{
    font-family: Arial;
}

</style>
</head>

<body>

<h3>Les Développeurs - Dev Facile</h3>

<table border="1" style="border-collapse: collapse" bordercolor="#000000" cellpadding="4">
	<tr style="background: #5882FA;">
		<td>Nom</td> 
		<td>Prénom</td> 
		<td>Téléphone</td> 
		<td>Mail</td> 
	</tr>
	
	<!-- permet de parcourir et d'afficher chaque attribut select = (ou noeud du fichier xml) 
	<xsl:for-each select="annuaire/personne"> -->
	
	<!-- ajout d'un filtre et permet de parcourir et d'afficher chaque attribut select = (ou noeud du fichier xml) --> 
	<xsl:for-each select="annuaire/personne[prenom!='Marine']">
	
	<!-- test pour faire apparaitre que le prenom choisi 
	<xsl:if test="prenom='Alice'"> -->

	<!-- ajoute un trie automatique sur la colonne prenom -->
	<xsl:sort select="prenom" order="ascending" />	
	<tr>
		<td><xsl:value-of select="nom"/></td>
		<td><xsl:value-of select="prenom"/></td>
		<td><xsl:value-of select="telephone"/></td>
		<td><xsl:value-of select="email"/></td>
	</tr> 

	<!-- fin du test if </xsl:if>  -->
	</xsl:for-each>

</table>

</body>
</html>
</xsl:template> 
</xsl:stylesheet>